diff -rupN wpa_supplicant/wpa_gui-qt4/wpagui.cpp wpa_supplicant-new/wpa_gui-qt4/wpagui.cpp
--- wpa_supplicant/wpa_gui-qt4/wpagui.cpp	2013-09-03 05:43:12.000000000 -0400
+++ wpa_supplicant-new/wpa_gui-qt4/wpagui.cpp	2013-09-08 22:41:59.000000000 -0400
@@ -121,7 +121,7 @@ WpaGui::WpaGui(QApplication *_app, QWidg
 	connect(wpsApPinEdit, SIGNAL(textChanged(const QString &)), this,
 		SLOT(wpsApPinChanged(const QString &)));
 	connect(wpsApPinButton, SIGNAL(clicked()), this, SLOT(wpsApPin()));
-
+	connect(anyNetwork, SIGNAL(stateChanged(int)), this, SLOT(selectAnyNetwork()));
 	eh = NULL;
 	scanres = NULL;
 	peers = NULL;
@@ -601,7 +601,8 @@ void WpaGui::updateNetworks()
 	int first_active = -1;
 	int was_selected = -1;
 	bool current = false;
-
+    bool anydisabled = false;
+    
 	if (!networkMayHaveChanged)
 		return;
 
@@ -649,7 +650,7 @@ void WpaGui::updateNetworks()
 			break;
 		*flags++ = '\0';
 
-		if (strstr(flags, "[DISABLED][P2P-PERSISTENT]")) {
+		if (strstr(flags, "[DISABLED][P2P-PERSISTENT]")) {			 
 			if (last)
 				break;
 			start = end + 1;
@@ -669,14 +670,15 @@ void WpaGui::updateNetworks()
 		} else if (first_active < 0 &&
 			   strstr(flags, "[DISABLED]") == NULL)
 			first_active = networkSelect->count() - 1;
-
+	    if (strstr(flags, "[DISABLED]"))
+			anydisabled=true;
 		if (last)
 			break;
 		start = end + 1;
 	}
 
-	if (networkSelect->count() > 1)
-		networkSelect->addItem(tr("Select any network"));
+	//if (networkSelect->count() > 1)
+	//	networkSelect->addItem(tr("Select any network"));
 
 	if (!current && first_active >= 0)
 		networkSelect->setCurrentIndex(first_active);
@@ -691,6 +693,11 @@ void WpaGui::updateNetworks()
 		networkList->setCurrentRow(networkSelect->currentIndex());
 
 	networkMayHaveChanged = false;
+	if (anydisabled) {
+	anyNetwork->setChecked(false);
+	networkLabel->setEnabled(true);
+	networkSelect->setEnabled(true);
+	}
 }
 
 
@@ -709,7 +716,7 @@ void WpaGui::helpContents()
 void WpaGui::helpAbout()
 {
 	QMessageBox::about(this, "wpa_gui for wpa_supplicant",
-			   "Copyright (c) 2003-2013,\n"
+			   "Copyright (c) 2003-2012,\n"
 			   "Jouni Malinen <j@w1.fi>\n"
 			   "and contributors.\n"
 			   "\n"
@@ -1307,13 +1314,19 @@ void WpaGui::createTrayIcon(bool trayOnl
 
 	showAction = new QAction(tr("&Show Window"), this);
 	hideAction = new QAction(tr("&Hide Window"), this);
-	quitAction = new QAction(tr("&Quit"), this);
+	quitAction = new QAction(tr("&Quit Wireless"), this);
+ 	restartAction = new QAction(tr("&Restart Connection"), this);
+    netorkwizardAction = new QAction(tr("&Network Wizard"), this);
 	connect(showAction, SIGNAL(triggered()), this, SLOT(show()));
 	connect(hideAction, SIGNAL(triggered()), this, SLOT(hide()));
-	connect(quitAction, SIGNAL(triggered()), qApp, SLOT(quit()));
+	connect(restartAction, SIGNAL(triggered()), this, SLOT(restartconnection()));
+ 	connect(netorkwizardAction, SIGNAL(triggered()), this, SLOT(netorkwizard()));
+ 	connect(quitAction, SIGNAL(triggered()), this, SLOT(quitall()));
 	tray_menu->addAction(showAction);
 	tray_menu->addAction(hideAction);
 	tray_menu->addSeparator();
+	tray_menu->addAction(restartAction);
+ 	tray_menu->addAction(netorkwizardAction);
 	tray_menu->addAction(quitAction);
 
 	tray_icon->setContextMenu(tray_menu);
@@ -1406,6 +1419,21 @@ void WpaGui::showTrayStatus()
 		showTrayMessage(QSystemTrayIcon::Information, 10, msg);
 }
 
+ void WpaGui::restartconnection()
+  {
+   system("/etc/init.d/50-Wpagui restart");
+  }
+  
+  void WpaGui::quitall()
+  {
+   system("/etc/init.d/50-Wpagui stop");
+  }
+
+  void WpaGui::netorkwizard()
+  {
+   system("/etc/init.d/50-Wpagui stop");
+   system("/usr/sbin/net-setup.sh");
+  }
 
 void WpaGui::closeEvent(QCloseEvent *event)
 {
@@ -1732,3 +1760,18 @@ void WpaGui::saveState()
 	settings.endGroup();
 }
 #endif
+
+void WpaGui::selectAnyNetwork()
+{
+	if (anyNetwork->isChecked()) {
+	selectNetwork("any");
+	// save config
+	char buf[10];
+	size_t len;
+
+	len = sizeof(buf) - 1;
+	ctrlRequest("SAVE_CONFIG", buf, &len);
+
+	buf[len] = '\0';
+	}
+}
diff -rupN wpa_supplicant/wpa_gui-qt4/wpagui.h wpa_supplicant-new/wpa_gui-qt4/wpagui.h
--- wpa_supplicant/wpa_gui-qt4/wpagui.h	2013-09-03 05:43:12.000000000 -0400
+++ wpa_supplicant-new/wpa_gui-qt4/wpagui.h	2013-09-08 20:33:01.000000000 -0400
@@ -70,6 +70,9 @@ public slots:
 	virtual void showTrayMessage(QSystemTrayIcon::MessageIcon type,
 				     int sec, const QString &msg);
 	virtual void showTrayStatus();
+	virtual void restartconnection();
+    virtual void netorkwizard();
+ 	virtual void quitall();
 	virtual void wpsDialog();
 	virtual void peersDialog();
 	virtual void tabChanged(int index);
@@ -77,6 +80,7 @@ public slots:
 	virtual void wpsGeneratePin();
 	virtual void wpsApPinChanged(const QString &text);
 	virtual void wpsApPin();
+	virtual void selectAnyNetwork();
 #ifdef CONFIG_NATIVE_WINDOWS
 	virtual void startService();
 	virtual void stopService();
@@ -110,6 +114,8 @@ private:
 	QAction *showAction;
 	QAction *hideAction;
 	QAction *quitAction;
+	QAction *restartAction;
+    QAction *netorkwizardAction;
 	QMenu *tray_menu;
 	QSystemTrayIcon *tray_icon;
 	QString wpaStateTranslate(char *state);
diff -rupN wpa_supplicant/wpa_gui-qt4/wpagui.ui wpa_supplicant-new/wpa_gui-qt4/wpagui.ui
--- wpa_supplicant/wpa_gui-qt4/wpagui.ui	2013-09-03 05:43:12.000000000 -0400
+++ wpa_supplicant-new/wpa_gui-qt4/wpagui.ui	2013-09-08 19:36:08.000000000 -0400
@@ -1,156 +1,177 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>WpaGui</class>
- <widget class="QMainWindow" name="WpaGui" >
-  <property name="geometry" >
+ <widget class="QMainWindow" name="WpaGui">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>345</width>
-    <height>330</height>
+    <width>422</width>
+    <height>389</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>wpa_gui</string>
   </property>
-  <property name="windowIcon" >
-   <iconset resource="icons.qrc" >
+  <property name="windowIcon">
+   <iconset resource="icons.qrc">
     <normaloff>:/icons/wpa_gui.svg</normaloff>:/icons/wpa_gui.svg</iconset>
   </property>
-  <widget class="QWidget" name="widget" >
-   <layout class="QGridLayout" >
-    <item row="0" column="0" >
-     <widget class="QLabel" name="adapterLabel" >
-      <property name="text" >
+  <widget class="QWidget" name="widget">
+   <layout class="QGridLayout" name="gridLayout">
+    <item row="0" column="1" alignment="Qt::AlignRight">
+     <widget class="QLabel" name="adapterLabel">
+      <property name="text">
        <string>Adapter:</string>
       </property>
      </widget>
     </item>
-    <item row="0" column="1" >
-     <widget class="QComboBox" name="adapterSelect" />
+    <item row="0" column="2">
+     <widget class="QComboBox" name="adapterSelect"/>
     </item>
-    <item row="1" column="0" >
-     <widget class="QLabel" name="networkLabel" >
-      <property name="text" >
+    <item row="1" column="0">
+     <widget class="QCheckBox" name="anyNetwork">
+      <property name="text">
+       <string>Select any Network</string>
+      </property>
+      <property name="checked">
+       <bool>true</bool>
+      </property>
+     </widget>
+    </item>
+    <item row="1" column="1" alignment="Qt::AlignRight">
+     <widget class="QLabel" name="networkLabel">
+      <property name="enabled">
+       <bool>false</bool>
+      </property>
+      <property name="text">
        <string>Network:</string>
       </property>
      </widget>
     </item>
-    <item row="1" column="1" >
-     <widget class="QComboBox" name="networkSelect" />
+    <item row="1" column="2">
+     <widget class="QComboBox" name="networkSelect">
+      <property name="enabled">
+       <bool>false</bool>
+      </property>
+      <property name="editable">
+       <bool>false</bool>
+      </property>
+     </widget>
     </item>
-    <item row="2" column="0" colspan="2" >
-     <widget class="QTabWidget" name="wpaguiTab" >
-      <property name="currentIndex" >
+    <item row="2" column="0" colspan="3">
+     <widget class="QTabWidget" name="wpaguiTab">
+      <property name="currentIndex">
        <number>0</number>
       </property>
-      <widget class="QWidget" name="statusTab" >
-       <attribute name="title" >
+      <widget class="QWidget" name="statusTab">
+       <attribute name="title">
         <string>Current Status</string>
        </attribute>
-       <layout class="QGridLayout" >
-        <item row="0" column="0" colspan="5" >
-         <widget class="QFrame" name="frame3" >
-          <property name="frameShape" >
+       <layout class="QGridLayout">
+        <item row="0" column="0" colspan="5">
+         <widget class="QFrame" name="frame3">
+          <property name="frameShape">
            <enum>QFrame::NoFrame</enum>
           </property>
-          <property name="frameShadow" >
+          <property name="frameShadow">
            <enum>QFrame::Plain</enum>
           </property>
-          <layout class="QGridLayout" >
-           <item row="0" column="0" >
-            <widget class="QLabel" name="statusLabel" >
-             <property name="text" >
+          <layout class="QGridLayout">
+           <item row="0" column="0">
+            <widget class="QLabel" name="statusLabel">
+             <property name="text">
               <string>Status:</string>
              </property>
             </widget>
            </item>
-           <item row="1" column="0" >
-            <widget class="QLabel" name="lastMessageLabel" >
-             <property name="text" >
+           <item row="1" column="0">
+            <widget class="QLabel" name="lastMessageLabel">
+             <property name="text">
               <string>Last message:</string>
              </property>
             </widget>
            </item>
-           <item row="2" column="0" >
-            <widget class="QLabel" name="authenticationLabel" >
-             <property name="text" >
+           <item row="2" column="0">
+            <widget class="QLabel" name="authenticationLabel">
+             <property name="text">
               <string>Authentication:</string>
              </property>
             </widget>
            </item>
-           <item row="3" column="0" >
-            <widget class="QLabel" name="encryptionLabel" >
-             <property name="text" >
+           <item row="3" column="0">
+            <widget class="QLabel" name="encryptionLabel">
+             <property name="text">
               <string>Encryption:</string>
              </property>
             </widget>
            </item>
-           <item row="4" column="0" >
-            <widget class="QLabel" name="ssidLabel" >
-             <property name="text" >
+           <item row="4" column="0">
+            <widget class="QLabel" name="ssidLabel">
+             <property name="text">
               <string>SSID:</string>
              </property>
             </widget>
            </item>
-           <item row="5" column="0" >
-            <widget class="QLabel" name="bssidLabel" >
-             <property name="text" >
+           <item row="5" column="0">
+            <widget class="QLabel" name="bssidLabel">
+             <property name="text">
               <string>BSSID:</string>
              </property>
             </widget>
            </item>
-           <item row="6" column="0" >
-            <widget class="QLabel" name="ipAddressLabel" >
-             <property name="text" >
+           <item row="6" column="0">
+            <widget class="QLabel" name="ipAddressLabel">
+             <property name="text">
               <string>IP address:</string>
              </property>
             </widget>
            </item>
-           <item row="0" column="1" >
-            <widget class="QLabel" name="textStatus" >
-             <property name="text" >
+           <item row="0" column="1">
+            <widget class="QLabel" name="textStatus">
+             <property name="text">
               <string/>
              </property>
             </widget>
            </item>
-           <item row="1" column="1" colspan="3" >
-            <widget class="QLabel" name="textLastMessage" >
-             <property name="text" >
+           <item row="1" column="1" colspan="3">
+            <widget class="QLabel" name="textLastMessage">
+             <property name="text">
               <string/>
              </property>
             </widget>
            </item>
-           <item row="2" column="1" >
-            <widget class="QLabel" name="textAuthentication" >
-             <property name="text" >
+           <item row="2" column="1">
+            <widget class="QLabel" name="textAuthentication">
+             <property name="text">
               <string/>
              </property>
             </widget>
            </item>
-           <item row="3" column="1" >
-            <widget class="QLabel" name="textEncryption" >
-             <property name="text" >
+           <item row="3" column="1">
+            <widget class="QLabel" name="textEncryption">
+             <property name="text">
               <string/>
              </property>
             </widget>
            </item>
-           <item row="4" column="1" >
-            <widget class="QLabel" name="textSsid" >
-             <property name="text" >
+           <item row="4" column="1">
+            <widget class="QLabel" name="textSsid">
+             <property name="text">
               <string/>
              </property>
             </widget>
            </item>
-           <item row="5" column="1" >
-            <widget class="QLabel" name="textBssid" >
-             <property name="text" >
+           <item row="5" column="1">
+            <widget class="QLabel" name="textBssid">
+             <property name="text">
               <string/>
              </property>
             </widget>
            </item>
-           <item row="6" column="1" >
-            <widget class="QLabel" name="textIpAddress" >
-             <property name="text" >
+           <item row="6" column="1">
+            <widget class="QLabel" name="textIpAddress">
+             <property name="text">
               <string/>
              </property>
             </widget>
@@ -158,12 +179,12 @@
           </layout>
          </widget>
         </item>
-        <item row="1" column="0" >
+        <item row="1" column="0">
          <spacer>
-          <property name="orientation" >
+          <property name="orientation">
            <enum>Qt::Vertical</enum>
           </property>
-          <property name="sizeHint" >
+          <property name="sizeHint" stdset="0">
            <size>
             <width>20</width>
             <height>40</height>
@@ -171,33 +192,33 @@
           </property>
          </spacer>
         </item>
-        <item row="1" column="1" >
-         <widget class="QPushButton" name="connectButton" >
-          <property name="text" >
+        <item row="1" column="1">
+         <widget class="QPushButton" name="connectButton">
+          <property name="text">
            <string>Connect</string>
           </property>
          </widget>
         </item>
-        <item row="1" column="2" >
-         <widget class="QPushButton" name="disconnectButton" >
-          <property name="text" >
+        <item row="1" column="2">
+         <widget class="QPushButton" name="disconnectButton">
+          <property name="text">
            <string>Disconnect</string>
           </property>
          </widget>
         </item>
-        <item row="1" column="3" >
-         <widget class="QPushButton" name="scanButton" >
-          <property name="text" >
+        <item row="1" column="3">
+         <widget class="QPushButton" name="scanButton">
+          <property name="text">
            <string>Scan</string>
           </property>
          </widget>
         </item>
-        <item row="1" column="4" >
+        <item row="1" column="4">
          <spacer>
-          <property name="orientation" >
+          <property name="orientation">
            <enum>Qt::Vertical</enum>
           </property>
-          <property name="sizeHint" >
+          <property name="sizeHint" stdset="0">
            <size>
             <width>20</width>
             <height>40</height>
@@ -207,24 +228,24 @@
         </item>
        </layout>
       </widget>
-      <widget class="QWidget" name="networkconfigTab" >
-       <attribute name="title" >
+      <widget class="QWidget" name="networkconfigTab">
+       <attribute name="title">
         <string>Manage Networks</string>
        </attribute>
-       <layout class="QGridLayout" >
-        <item row="0" column="0" colspan="5" >
-         <widget class="QListWidget" name="networkList" >
-          <property name="selectionRectVisible" >
+       <layout class="QGridLayout">
+        <item row="0" column="0" colspan="5">
+         <widget class="QListWidget" name="networkList">
+          <property name="selectionRectVisible">
            <bool>true</bool>
           </property>
          </widget>
         </item>
-        <item rowspan="2" row="1" column="0" >
+        <item row="1" column="0" rowspan="2">
          <spacer>
-          <property name="orientation" >
+          <property name="orientation">
            <enum>Qt::Vertical</enum>
           </property>
-          <property name="sizeHint" >
+          <property name="sizeHint" stdset="0">
            <size>
             <width>20</width>
             <height>61</height>
@@ -232,33 +253,33 @@
           </property>
          </spacer>
         </item>
-        <item row="1" column="1" >
-         <widget class="QRadioButton" name="enableRadioButton" >
-          <property name="text" >
+        <item row="1" column="1">
+         <widget class="QRadioButton" name="enableRadioButton">
+          <property name="text">
            <string>Enabled</string>
           </property>
          </widget>
         </item>
-        <item row="1" column="2" >
-         <widget class="QPushButton" name="editNetworkButton" >
-          <property name="text" >
+        <item row="1" column="2">
+         <widget class="QPushButton" name="editNetworkButton">
+          <property name="text">
            <string>Edit</string>
           </property>
          </widget>
         </item>
-        <item row="1" column="3" >
-         <widget class="QPushButton" name="removeNetworkButton" >
-          <property name="text" >
+        <item row="1" column="3">
+         <widget class="QPushButton" name="removeNetworkButton">
+          <property name="text">
            <string>Remove</string>
           </property>
          </widget>
         </item>
-        <item rowspan="2" row="1" column="4" >
+        <item row="1" column="4" rowspan="2">
          <spacer>
-          <property name="orientation" >
+          <property name="orientation">
            <enum>Qt::Vertical</enum>
           </property>
-          <property name="sizeHint" >
+          <property name="sizeHint" stdset="0">
            <size>
             <width>20</width>
             <height>61</height>
@@ -266,106 +287,106 @@
           </property>
          </spacer>
         </item>
-        <item row="2" column="1" >
-         <widget class="QRadioButton" name="disableRadioButton" >
-          <property name="text" >
+        <item row="2" column="1">
+         <widget class="QRadioButton" name="disableRadioButton">
+          <property name="text">
            <string>Disabled</string>
           </property>
          </widget>
         </item>
-        <item row="2" column="2" >
-         <widget class="QPushButton" name="addNetworkButton" >
-          <property name="text" >
+        <item row="2" column="2">
+         <widget class="QPushButton" name="addNetworkButton">
+          <property name="text">
            <string>Add</string>
           </property>
          </widget>
         </item>
-        <item row="2" column="3" >
-         <widget class="QPushButton" name="scanNetworkButton" >
-          <property name="text" >
+        <item row="2" column="3">
+         <widget class="QPushButton" name="scanNetworkButton">
+          <property name="text">
            <string>Scan</string>
           </property>
          </widget>
         </item>
        </layout>
       </widget>
-      <widget class="QWidget" name="wpsTab" >
-       <attribute name="title" >
+      <widget class="QWidget" name="wpsTab">
+       <attribute name="title">
         <string>WPS</string>
        </attribute>
-       <layout class="QGridLayout" name="wpsGridLayout" >
-        <item row="0" column="0" >
-         <widget class="QLabel" name="label_2" >
-          <property name="text" >
+       <layout class="QGridLayout" name="wpsGridLayout">
+        <item row="0" column="0">
+         <widget class="QLabel" name="label_2">
+          <property name="text">
            <string>Status:</string>
           </property>
          </widget>
         </item>
-        <item row="0" column="1" colspan="3" >
-         <widget class="QLabel" name="wpsStatusText" >
-          <property name="text" >
+        <item row="0" column="1" colspan="3">
+         <widget class="QLabel" name="wpsStatusText">
+          <property name="text">
            <string/>
           </property>
          </widget>
         </item>
-        <item row="1" column="0" colspan="2" >
-         <widget class="QPushButton" name="wpsPbcButton" >
-          <property name="text" >
+        <item row="1" column="0" colspan="2">
+         <widget class="QPushButton" name="wpsPbcButton">
+          <property name="text">
            <string>PBC - push button</string>
           </property>
          </widget>
         </item>
-        <item row="2" column="0" colspan="2" >
-         <widget class="QPushButton" name="wpsPinButton" >
-          <property name="text" >
+        <item row="2" column="0" colspan="2">
+         <widget class="QPushButton" name="wpsPinButton">
+          <property name="text">
            <string>Generate PIN</string>
           </property>
          </widget>
         </item>
-        <item row="2" column="2" >
-         <widget class="QLabel" name="label" >
-          <property name="text" >
+        <item row="2" column="2">
+         <widget class="QLabel" name="label">
+          <property name="text">
            <string>PIN:</string>
           </property>
          </widget>
         </item>
-        <item row="2" column="3" >
-         <widget class="QLineEdit" name="wpsPinEdit" >
-          <property name="enabled" >
+        <item row="2" column="3">
+         <widget class="QLineEdit" name="wpsPinEdit">
+          <property name="enabled">
            <bool>false</bool>
           </property>
-          <property name="readOnly" >
+          <property name="readOnly">
            <bool>true</bool>
           </property>
          </widget>
         </item>
-        <item row="3" column="0" colspan="2" >
-         <widget class="QPushButton" name="wpsApPinButton" >
-          <property name="enabled" >
+        <item row="3" column="0" colspan="2">
+         <widget class="QPushButton" name="wpsApPinButton">
+          <property name="enabled">
            <bool>false</bool>
           </property>
-          <property name="text" >
+          <property name="text">
            <string>Use AP PIN</string>
           </property>
          </widget>
         </item>
-        <item row="3" column="2" >
-         <widget class="QLabel" name="label_3" >
-          <property name="text" >
+        <item row="3" column="2">
+         <widget class="QLabel" name="label_3">
+          <property name="text">
            <string>AP PIN:</string>
           </property>
          </widget>
         </item>
-        <item row="3" column="3" >
-         <widget class="QLineEdit" name="wpsApPinEdit" >
-          <property name="enabled" >
+        <item row="3" column="3">
+         <widget class="QLineEdit" name="wpsApPinEdit">
+          <property name="enabled">
            <bool>false</bool>
           </property>
          </widget>
         </item>
-        <item row="4" column="0" colspan="4" >
-         <widget class="QTextEdit" name="wpsInstructions" >
-          <property name="readOnly" >
+        <item row="4" column="0" colspan="4">
+         <widget class="QTextEdit" name="wpsInstructions">
+          <property name="readOnly">
            <bool>true</bool>
           </property>
          </widget>
@@ -376,149 +397,181 @@
     </item>
    </layout>
   </widget>
-  <widget class="QMenuBar" name="MenuBar" >
-   <property name="geometry" >
+  <widget class="QMenuBar" name="MenuBar">
+   <property name="geometry">
     <rect>
      <x>0</x>
      <y>0</y>
-     <width>345</width>
-     <height>24</height>
+     <width>422</width>
+     <height>20</height>
     </rect>
    </property>
-   <widget class="QMenu" name="fileMenu" >
-    <property name="title" >
+   <widget class="QMenu" name="fileMenu">
+    <property name="title">
      <string>&amp;File</string>
     </property>
-    <addaction name="fileEventHistoryAction" />
-    <addaction name="fileSaveConfigAction" />
-    <addaction name="actionWPS" />
-    <addaction name="actionPeers" />
-    <addaction name="separator" />
-    <addaction name="fileExitAction" />
+    <addaction name="fileEventHistoryAction"/>
+    <addaction name="fileSaveConfigAction"/>
+    <addaction name="actionWPS"/>
+    <addaction name="actionPeers"/>
+    <addaction name="separator"/>
+    <addaction name="fileExitAction"/>
    </widget>
-   <widget class="QMenu" name="networkMenu" >
-    <property name="title" >
+   <widget class="QMenu" name="networkMenu">
+    <property name="title">
      <string>&amp;Network</string>
     </property>
-    <addaction name="networkAddAction" />
-    <addaction name="networkEditAction" />
-    <addaction name="networkRemoveAction" />
-    <addaction name="separator" />
-    <addaction name="networkEnableAllAction" />
-    <addaction name="networkDisableAllAction" />
-    <addaction name="networkRemoveAllAction" />
+    <addaction name="networkAddAction"/>
+    <addaction name="networkEditAction"/>
+    <addaction name="networkRemoveAction"/>
+    <addaction name="separator"/>
+    <addaction name="networkEnableAllAction"/>
+    <addaction name="networkDisableAllAction"/>
+    <addaction name="networkRemoveAllAction"/>
    </widget>
-   <widget class="QMenu" name="helpMenu" >
-    <property name="title" >
+   <widget class="QMenu" name="helpMenu">
+    <property name="title">
      <string>&amp;Help</string>
     </property>
-    <addaction name="helpContentsAction" />
-    <addaction name="helpIndexAction" />
-    <addaction name="separator" />
-    <addaction name="helpAboutAction" />
+    <addaction name="helpContentsAction"/>
+    <addaction name="helpIndexAction"/>
+    <addaction name="separator"/>
+    <addaction name="helpAboutAction"/>
    </widget>
-   <addaction name="fileMenu" />
-   <addaction name="networkMenu" />
-   <addaction name="helpMenu" />
+   <addaction name="fileMenu"/>
+   <addaction name="networkMenu"/>
+   <addaction name="helpMenu"/>
   </widget>
-  <action name="fileEventHistoryAction" >
-   <property name="text" >
+  <action name="fileEventHistoryAction">
+   <property name="text">
     <string>Event &amp;History</string>
    </property>
   </action>
-  <action name="fileSaveConfigAction" >
-   <property name="text" >
+  <action name="fileSaveConfigAction">
+   <property name="text">
     <string>&amp;Save Configuration</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+S</string>
    </property>
   </action>
-  <action name="fileExitAction" >
-   <property name="text" >
+  <action name="fileExitAction">
+   <property name="text">
     <string>E&amp;xit</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+Q</string>
    </property>
   </action>
-  <action name="networkAddAction" >
-   <property name="text" >
+  <action name="networkAddAction">
+   <property name="text">
     <string>&amp;Add</string>
    </property>
   </action>
-  <action name="networkEditAction" >
-   <property name="text" >
+  <action name="networkEditAction">
+   <property name="text">
     <string>&amp;Edit</string>
    </property>
   </action>
-  <action name="networkRemoveAction" >
-   <property name="text" >
+  <action name="networkRemoveAction">
+   <property name="text">
     <string>&amp;Remove</string>
    </property>
   </action>
-  <action name="networkEnableAllAction" >
-   <property name="text" >
+  <action name="networkEnableAllAction">
+   <property name="text">
     <string>E&amp;nable All</string>
    </property>
   </action>
-  <action name="networkDisableAllAction" >
-   <property name="text" >
+  <action name="networkDisableAllAction">
+   <property name="text">
     <string>&amp;Disable All</string>
    </property>
   </action>
-  <action name="networkRemoveAllAction" >
-   <property name="text" >
+  <action name="networkRemoveAllAction">
+   <property name="text">
     <string>Re&amp;move All</string>
    </property>
   </action>
-  <action name="helpContentsAction" >
-   <property name="enabled" >
+  <action name="helpContentsAction">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="text" >
+   <property name="text">
     <string>&amp;Contents...</string>
    </property>
   </action>
-  <action name="helpIndexAction" >
-   <property name="enabled" >
+  <action name="helpIndexAction">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="text" >
+   <property name="text">
     <string>&amp;Index...</string>
    </property>
   </action>
-  <action name="helpAboutAction" >
-   <property name="text" >
+  <action name="helpAboutAction">
+   <property name="text">
     <string>&amp;About</string>
    </property>
   </action>
-  <action name="actionWPS" >
-   <property name="enabled" >
+  <action name="actionWPS">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="text" >
+   <property name="text">
     <string>&amp;Wi-Fi Protected Setup</string>
    </property>
   </action>
-  <action name="actionPeers" >
-   <property name="text" >
+  <action name="actionPeers">
+   <property name="text">
     <string>&amp;Peers</string>
    </property>
   </action>
  </widget>
- <layoutdefault spacing="6" margin="11" />
- <pixmapfunction></pixmapfunction>
+ <layoutdefault spacing="6" margin="11"/>
  <includes>
-  <include location="global" >qtimer.h</include>
-  <include location="global" >qsocketnotifier.h</include>
-  <include location="local" >wpamsg.h</include>
-  <include location="local" >eventhistory.h</include>
-  <include location="local" >scanresults.h</include>
-  <include location="local" >peers.h</include>
+  <include location="global">qtimer.h</include>
+  <include location="global">qsocketnotifier.h</include>
+  <include location="local">wpamsg.h</include>
+  <include location="local">eventhistory.h</include>
+  <include location="local">scanresults.h</include>
+  <include location="local">peers.h</include>
  </includes>
  <resources>
-  <include location="icons.qrc" />
+  <include location="icons.qrc"/>
  </resources>
- <connections/>
+ <connections>
+  <connection>
+   <sender>anyNetwork</sender>
+   <signal>clicked(bool)</signal>
+   <receiver>networkLabel</receiver>
+   <slot>setDisabled(bool)</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>49</x>
+     <y>62</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>257</x>
+     <y>70</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>anyNetwork</sender>
+   <signal>clicked(bool)</signal>
+   <receiver>networkSelect</receiver>
+   <slot>setDisabled(bool)</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>34</x>
+     <y>62</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>369</x>
+     <y>58</y>
+    </hint>
+   </hints>
+  </connection>
+ </connections>
 </ui>
